Component({
  behaviors: [require('../common/share-behavior').default],
  properties: {},
  data: {
    loadedSaoMiao:false,
    loaded: false,
    arReady: false,
    loaded2:false,
    position2:[0,0,0],
    rot:0,
    str:"1"
  },
  lifetimes: {
    async attached() {
      console.log('data', this.data);
    }
  },
  methods: {
    handleReady: function ({detail}) {
      const xrScene = this.scene = detail.value;
      console.log('xr-scene', xrScene);
    },
    handleAssetsProgress: function({detail}) {
      this.triggerEvent('assetsProgress', detail.value);
    },
    handleAssetsLoaded: function ({detail}) {
    },handleGltfLoaded2: function() {
      
    },handleGltfLoaded: function() {
      
    },
    handleTrackerSwitch: function ({detail}) {


      const active = detail.value;
      if(active)
      {
              
        wx.redirectTo({
           url: '/pages/ar/plane-ar-v2-marker/plane-ar-v2-marker',
         // url: '/pages/ar-classic/scene-classic-showsix/index',
            success: () => {
            },
            fail: () => {
            },
          });
       




      }
    },handleARTrackerState({detail}) {
    },
    handleAnimationStop: function() {
      console.log('animation Stop');
    }
  }
})